KVIRC(1)

NAME
KVIrc - an Internet Relay Chat client.

SYNOPSIS
kvirc [options] [server [port]] [ircurl [ircurl [...]]]

DESCRIPTION

KVIrc is a Visual Internet Relay Chat client based on the Qt library.

It is intended to be an "user friendly" interface to the IRC protocol (see RFC1459) and its extensions.

OPTIONS
KVIrc accepts the following options:

-h, --help
    Display a list of all commandline options.

-v, --version
    Output the version info.

-c <configfile>
    Use <configfile> as configuration file instead of ~/.kvircrc .

-n <configfile>
    Use <configfile> as configuration file instead of ~/.kvircrc . Create if it doesn't exist.

-f  Force a new KVIrc session, even if there is already a running one.

-e <commands>
    If a KVirc session is already running, execute the <commands> in that session, otherwise startup normally and execute <commands>. <commands> must be a single shell token.

-r <commands>
    If a KVirc session is already running, execute the <commands> in that session, otherwise startup normally (and do NOT execute). <commands> must be a single shell token.

-m  If a KVIrc session is already running, show an informational popup dialog instead of writing to the console.

[server]
    Connect to this server upon startup.

[port]
    Use this port to connect to the server. This option requires also a server name.

[ircurl]
    An url in the following form: irc[6]://<server>[:<port>][/<channel>[?<pass>]]

ENVIRONMENT

LANG
    Language setting. If not set (or set to 'EN','POSIX' or 'C') KVIrc will use the default language (english).

FILES
$PREFIX/share/kvirc/VERSION/*
    Directory with the global KVIrc settings , modules etc... $HOME/.kvircrc This is the first file that KVIrc looks for. If the -c commandline option is specified , the file passed as the option parameter is used instead of this one. If the file is found , KVIrc reads the first non-empty line and treats it as the path to the KVIrc Local directory. If the file can not be found or the KVIrc Local directory is not existing , KVIrc enters the setup mode and allows selecting a new KVIrc Local directory. KVIrc Local directory/* Directory with the local (per user) KVIrc settings. Similar to the global one.

SEE ALSO
X(1) talk(1)

COPYRIGHT
Copyright © 1999-2002 Szymon Stefanek Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

SUGGESTIONS AND BUG REPORTS
Any bugs found should be reported to the following e-mail address: <pragma at kvirc dot net>

OFFICIAL WWW SITE
http://www.kvirc.net

AUTHORS
Szymon 'Pragma' Stefanek <pragma at kvirc dot net> With patches, fixes, extensions, and more from [Anodine]@efnet, Till 'BuTi@ircnet' Busch, Fritz 'KNFritz@ircnet' Elfert, RAD Kade 1 With bug-hunting, hard-thinking, eyes-consuming, nights spent on IRC, great suggestions and more from lots of people all over the net, including but not limited to Paul 'infected@ircnet' Boehm, Olle 'Crocodile@ircnet' Hällnäs, Diablo@ircnet, Andrew 'Drosha@ircnet' Frolov, MalboroLi@ircnet, munehiro@ircnet